--- /dev/null
+Migration from nova-volumes to cinder-volumes:
+
+1. upgrade your nova install to folsom
+2. upgrade your nova database using nova-manage db sync
+3. install the folsom version of cinder
+4. create a cinder database using cinder-manage db sync
+5. copy data from nova database using cinder-manage migrate import_db --src=$NOVA_SQL_CONN --dest=$CINDER_SQL_CONN
+6. disable the nova-volume-api in enabled apis in /etc/nova/nova.conf sed -i "s/osapi_volume,// /etc/nova/nova.conf"
+7. restart nova-api
+8. start cinder-api
/var/log/cinder/cinder-api.log {
daily
missingok
+ compress
+ delaycompress
+ notifempty
}
pkgos_var_user_group cinder
pkgos_write_new_conf cinder cinder.conf
pkgos_write_new_conf cinder api-paste.ini
+ chown root:root /etc/cinder/rootwrap.d/volume.filters
pkgos_dbc_postinst ${CINDER_CONF} cinder DEFAULT sql_connection $@
pkgos_write_admin_creds ${CINDER_API} cinder filter:authtoken
db_get cinder/volume_group
/var/log/cinder/cinder-scheduler.log {
daily
missingok
+ compress
+ delaycompress
+ notifempty
}
--- /dev/null
+var/lib/cinder/volumes
usr/bin/cinder-volume
+debian/cinder_tgt.conf etc/tgt/conf.d
/var/log/cinder/cinder-volume.log {
daily
missingok
+ compress
+ delaycompress
+ notifempty
}
--- /dev/null
+#!/bin/sh
+
+set -e
+
+#PKGOS-INCLUDE#
+
+if [ "$1" = "configure" ] || [ "$1" = "reconfigure" ] ; then
+ pkgos_var_user_group cinder
+ chmod 0750 /var/lib/cinder/volumes
+ chown root:root /etc/cinder/rootwrap.d/volume.filters
+
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d tgtd restart > /dev/null 2>&1 || true
+ else
+ /etc/init.d/tgtd restart > /dev/null 2>&1 || true
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
logdir = /var/log/cinder
state_path=/var/lib/cinder
lock_path=/var/lock/cinder
+volumes_dir = /var/lib/cinder/volumes
--- /dev/null
+Defaults:cinder !requiretty
+
+cinder ALL = (root) NOPASSWD: /usr/bin/cinder-rootwrap
--- /dev/null
+include /var/lib/cinder/volumes/*
python-glanceclient,
python-greenlet,
python-iso8601,
+ python-keystoneclient,
python-kombu,
python-lockfile,
python-lxml,
python-setuptools-git,
python-sphinx,
python-sqlalchemy,
+ python-stevedore (>= 0.7),
python-suds,
python-webob,
Standards-Version: 3.9.3
python-cheetah,
python-daemon,
python-eventlet,
- python-glance,
python-glanceclient,
python-greenlet,
python-iso8601,
python-paramiko,
python-paste,
python-pastedeploy,
+ python-migrate,
+ python-netaddr,
python-routes,
python-suds,
python-sqlalchemy,
Package: cinder-volume
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${ostack-lsb-base}, cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Depends: ${ostack-lsb-base}, cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends},
+ lvm2, tgt
Description: Openstack block storage as a service - Volume server
Cinder is a block storage as service system for the Openstack cloud computing
software suite. It is a direct replacement for nova-volume as a separate
override_dh_clean:
dh_clean
- rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst
+ rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
override_dh_install:
dh_install
install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common
override_dh_fixperms:
- dh_fixperms
+ dh_fixperms -Xcinder_tgt.conf
chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common
override_dh_auto_build:
/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
+ /usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst